Subject: Re: [bug#73347] [PATCH] gnu: emacs-org-texlive-collection: Reduce closure.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 26 Sep 2024 22:44:14 +0900

Hi!

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>>      (propagated-inputs
>> -     (list texlive-amsmath
>> -           texlive-capt-of
>
> You need to propagate texlive-capt-of (from
> `texlive-collection-latexextra', which we shouldn't propagate).

I hadn't removed it, though I see I had forgetten to adjust the commit
changelog.  To see which packaged were really needed other than
texlive-collection-latexrecommended, I've used:

--8<---------------cut here---------------start------------->8---
,pp (sort (map car (package-transitive-propagated-inputs
texlive-collection-latexrecommended)) string<=)

$11 = ("texlive-ae"
 "texlive-amscls"
 "texlive-amsfonts"
 "texlive-amsmath"
 "texlive-anysize"
 "texlive-atbegshi"
 "texlive-attachfile2"
 "texlive-atveryend"
 "texlive-auxhook"
 "texlive-babel"
 "texlive-babel-english"
 "texlive-babelbib"
 "texlive-beamer"
 "texlive-bibtex"
 "texlive-bibtex-bin"
 "texlive-bigintcalc"
 "texlive-bin"
 "texlive-bitset"
 "texlive-bookmark"
 "texlive-booktabs"
 "texlive-breqn"
 "texlive-caption"
 "texlive-carlisle"
 "texlive-cite"
 "texlive-cm"
 "texlive-cmap"
 "texlive-collection-basic"
 "texlive-collection-latex"
 "texlive-colorprofiles"
 "texlive-colortbl"
 "texlive-crop"
 "texlive-ctable"
 "texlive-dvipdfmx"
 "texlive-dvipdfmx-bin"
 "texlive-dvips"
 "texlive-dvips-bin"
 "texlive-ec"
 "texlive-enctex"
 "texlive-epstopdf-pkg"
 "texlive-eso-pic"
 "texlive-etex"
 "texlive-etex-pkg"
 "texlive-etexcmds"
 "texlive-etoolbox"
 "texlive-euenc"
 "texlive-euler"
 "texlive-everysel"
 "texlive-everyshi"
 "texlive-extsizes"
 "texlive-fancybox"
 "texlive-fancyhdr"
 "texlive-fancyref"
 "texlive-fancyvrb"
 "texlive-filehook"
 "texlive-firstaid"
 "texlive-fix2col"
 "texlive-float"
 "texlive-fontspec"
 "texlive-footnotehyper"
 "texlive-fp"
 "texlive-geometry"
 "texlive-gettitlestring"
 "texlive-glyphlist"
 "texlive-graphics"
 "texlive-graphics-cfg"
 "texlive-graphics-def"
 "texlive-grfext"
 "texlive-grffile"
 "texlive-hologo"
 "texlive-hopatch"
 "texlive-hycolor"
 "texlive-hyperref"
 "texlive-hyphen-base"
 "texlive-hyphen-complete"
 "texlive-hyphenex"
 "texlive-ifplatform"
 "texlive-iftex"
 "texlive-index"
 "texlive-infwarerr"
 "texlive-intcalc"
 "texlive-jknapltx"
 "texlive-knuth-lib"
 "texlive-knuth-local"
 "texlive-koma-script"
 "texlive-kpathsea"
 "texlive-kvdefinekeys"
 "texlive-kvoptions"
 "texlive-kvsetkeys"
 "texlive-l3backend"
 "texlive-l3experimental"
 "texlive-l3kernel"
 "texlive-l3packages"
 "texlive-latex"
 "texlive-latex-bin"
 "texlive-latex-fonts"
 "texlive-latexbug"
 "texlive-latexconfig"
 "texlive-letltxmacro"
 "texlive-libkpathsea"
 "texlive-lineno"
 "texlive-listings"
 "texlive-lm"
 "texlive-lm-math"
 "texlive-ltxcmds"
 "texlive-ltxmisc"
 "texlive-lua-alt-getopt"
 "texlive-lua-uni-algos"
 "texlive-luahbtex"
 "texlive-lualibs"
 "texlive-luaotfload"
 "texlive-luatex"
 "texlive-lwarp"
 "texlive-makecmds"
 "texlive-makeindex"
 "texlive-makeindex-bin"
 "texlive-mathspec"
 "texlive-mathtools"
 "texlive-mdwtools"
 "texlive-memoir"
 "texlive-metafont"
 "texlive-metalogo"
 "texlive-mflogo"
 "texlive-mfnfss"
 "texlive-mfware"
 "texlive-mfware-bin"
 "texlive-microtype"
 "texlive-modes"
 "texlive-mptopdf"
 "texlive-ms"
 "texlive-natbib"
 "texlive-newfloat"
 "texlive-ntgclass"
 "texlive-oberdiek"
 "texlive-pagesel"
 "texlive-parskip"
 "texlive-pdfcolfoot"
 "texlive-pdfescape"
 "texlive-pdflscape"
 "texlive-pdfmanagement-testphase"
 "texlive-pdfpages"
 "texlive-pdftex"
 "texlive-pdftexcmds"
 "texlive-pgf"
 "texlive-plain"
 "texlive-polyglossia"
 "texlive-psfrag"
 "texlive-pslatex"
 "texlive-psnfss"
 "texlive-pspicture"
 "texlive-ragged2e"
 "texlive-rcs"
 "texlive-refcount"
 "texlive-rerunfilecheck"
 "texlive-sansmath"
 "texlive-scripts"
 "texlive-section"
 "texlive-seminar"
 "texlive-sepnum"
 "texlive-setspace"
 "texlive-stringenc"
 "texlive-subfig"
 "texlive-symbol"
 "texlive-tex"
 "texlive-tex-ini-files"
 "texlive-textcase"
 "texlive-thumbpdf"
 "texlive-tipa"
 "texlive-tools"
 "texlive-translator"
 "texlive-typehtml"
 "texlive-ucharcat"
 "texlive-underscore"
 "texlive-unicode-data"
 "texlive-unicode-math"
 "texlive-uniquecounter"
 "texlive-url"
 "texlive-xcolor"
 "texlive-xdvi"
 "texlive-xdvi-bin"
 "texlive-xkeyval"
 "texlive-xltxtra"
 "texlive-xpatch"
 "texlive-xunicode"
 "texlive-zapfding")
--8<---------------cut here---------------end--------------->8---

>> -           texlive-graphics             ;for graphicx, rotating
>> +     (list texlive-capt-of
>> +           ;; The latexrecommended collection provides fontspec, amsmath,
>> +           ;; graphicx, tools, etc.
>> +           texlive-collection-latexrecommended
>>             texlive-hyperref
>
> `texlive-hyperref' belongs to `texlive-collection-latex' and therefore
> to `texlive-collection-latxrecommended'. You can remove it.

Indeed. It's in my list above.  I've removed it.

> However, you need to add `texlive-soul' and `texlive-standalone'.

OK! I hadn't encoutered these in my simple usage of the latex export,
but then I ddn't try to embed pictures or other media. I've added them,
thank you.

>
>> -           texlive-titling
>> -           texlive-tools                ;for longtable
>> +;           texlive-titling
>
> Left-over comment? If required, `texlive-titling' ought to be propagated
> (`texlive-collection-latexextra'), but I don't see it used in Org mode.
> Is it?

It was just required by the LaTeX of the CV template I've used with Org
mode; I've removed the forgotten comment.

>>             texlive-ulem
>> -           texlive-wrapfig
>
> You need to keep `texlive-wrapfig', too
> (`texlive-collection-latexextra').

Indeed.

>> +    (description "This meta-package propagates the Tex Live packages minimally
>
> Tex Live -> TeX Live

Phew. Typing TeX correctly is apparently difficult for me ;-)

> Otherwise, LGTM.

Thanks! I've pushed now pushed a revised version in 4818404bb4. I hope I
got it right!

-- 
Thanks,
Maxim